#ifndef _libFeet_UpperFoot_h
#define _libFeet_UpperFoot_h

/*! \brief
*  Functionality related to the foot 
*/
namespace FOOT {

/*! \brief 
*  Functionality related to the tendons 
*/
class Tendon {

public: 

/*! \brief
* Gets the length of a tendon, this starts near the Ankle
*/
int GetTendonLength(void);

/*! \brief
* Sets the length of a tendon
*/
void SetTendonLength(int tendonLength);

}

}

/*! \brief
*  Functionality related to clothes 
*/
namespace CLOTHES {

class Sock {
public: 

/*! \brief
* Gets the length of a sock
*/
int GetSockLength(void);

/*! \brief
* Sets the length of a sock
*/
void SetSockLength(int sockLength);

}

}